Subject: Re: Make SHELL variable
From: [email-masked] (Anatoly Kardash)

5 Feb 1997 23:30:47 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 2.0 (WinNT; I)
Original-To: [email-masked]
Original-CC: Lists - Cygnus GNU Win32 <[email-masked]>
Original-Sender: [email-masked]

Jeffery G. Smith wrote:
> 
> I notice that when make executes a command it actually does a
>         $(SHELL) -c command
> 
> This appears to be a GNU make thing since it happens on our standard
> UNIX platforms as well.  I wasn't able to find any documentation that
> admitted that this -c was added or how to get rid of it.  I really would
> like to be able to use cmd.exe as the SHELL but the -c gets in the way.
> 

In most of cases use of bash/sh is much more convinient and handy
(I don't want even speak about complex comands, etc.). I agree that
there are special cases when the command requires a special shell,
say CMD.EXE. In such a case I'm using the following command (an example):

target:		deps
	export COMSPEC="$(SYSTEMROOT)\system32\cmd.exe" && my_cmd my args

This works fine with the default shell sh(bash) - at least for me :-).

---------------------------------
        Anatoly Kardash 
    Infrastructure Team Leader
        MiSSiNG LiNK B.V.
---------------------------------
 11 Habonim st. Ramat-Gan 52462
            Israel
e-mail: [email-masked]
phone:  +972-3-6133160
fax:    +972-3-6133161
---------------------------------
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".